---
title: How to create a new wallet
nav_title: Create a wallet
category: getting-started
weight: 10
---

Using a hardware wallet? See these instructions [here](create-wallet-hardware-device) instead.

Looking to restore a wallet from seed or keys? See the instructions [here](restore-from-seed) instead.

---

If the wizard isn't already open, go to **File → New/Restore**.

On the wizard, select **Create new wallet**.

On the next page, the wallet seed is shown. You may notice that the seed is shorter than other standard 25 word Monero seed. Feather uses Polyseed for 16 word seeds. To learn more about Polyseed and the benefits compared to 25 word seeds, see the information [here](seed-scheme).

The seed allows you to recover your funds in case you lose access to your wallet files. DO NOT LOSE IT.

Click **next** after you have verified that **you have written down all words in the correct order**.

In the **Name** field, type a name for your wallet. You may name the wallet whatever you want. Feather will automatically fill in a name that hasn't already been used.

The **Directory** field shows the default location for the wallet files. We recommend leaving it as the default. If you want to store all files relative to the executable, follow the steps [here](portable-mode) to enable portable mode.

On the next page, choose a password to encrypt your wallet files with. It is recommended to use a strong password generated with a password manager, such as KeePassXC.

Click on **Create/Open wallet** to finish wallet creation.

